=== ChangeLog discontinued ===

	With the move to git, GTK+ is switching from a ChangeLog file
	to relying on commit messages to provide change history. Please
	see README.commits for guidance on the expected message format.

2009-03-13  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.16.0 ===

2009-03-02  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.15.5 ===

2009-02-17  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.15.4 ===

2009-02-02  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.15.3 ===

2009-01-27  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.15.2 ===

2009-01-23  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.15.1 ===

2009-01-01  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.15.0 ===

2007-06-04  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.11.1 ===

2006-10-08  Matthias Clasen  <mclasen@redhat.com>

	* pixbuf-draw.c: Apply a cleanup patch by 
	Kjartan Maraas  (#341812)

2006-08-17  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.10.2 ===

2006-07-23  Matthias Clasen  <mclasen@redhat.com>
	
	* === Released 2.10.1 ===

2006-03-10  Matthias Clasen  <mclasen@redhat.com>

	* Don't export any internal functions or variables,
	only the theme engine abi.

2006-03-10  Matthias Clasen  <mclasen@redhat.com>

	* pixbuf-draw.c (draw_extension): Remove suspicious
	code.  (#325295, Alexander Nedotsukov)

2006-01-17  Matthias Clasen  <mclasen@redhat.com>

	* pixbuf-render.c: If the src positions for gradients
	are nonsensical, don't render anything, rather than 
	read out of bounds.  
	
2006-01-16  Matthias Clasen  <mclasen@redhat.com>

	* pixbuf-draw.c:
	* pixbuf-rc-style.c:
	* pixbuf.h: Apply a patch by Alexander Nedotsukov to
	support customized drawing of expanders and resize 
	grips. (#325289). 

	* pixbuf-draw.c (draw_gap_image): Silence the 
	compiler.

2005-11-17  Matthias Clasen  <mclasen@redhat.com>

	* pixbuf-rc-style.c: const correctness fixes
	found by Arjan van de Ven and gcc.

2005-08-24  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.8.2 ===

	* === Released 2.8.1 ===

2005-08-13  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.8.0 ===

2005-08-02  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.7.5 ===

2005-07-22  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.7.4 === 

2005-07-15  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.7.3 ===
	
2005-07-08  Matthias Clasen  <mclasen@redhat.com>
	
	* === Released 2.7.2 ===

2005-07-01  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.7.1 ===
	
2005-06-20  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.7.0 ===

2005-06-12  Matthias Clasen  <mclasen@redhat.com>

	* pixbuf-render.c (theme_pixbuf_render): Try to
	handle the situation that the borders are larger
	than the area we are rendering.  (#169731,
	Benjamin Otte)

2005-01-08  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.6.1 ===
	
2004-12-16  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.6.0 ===

2004-12-02  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.5.6 ===

2004-11-28  Matthias Clasen  <mclasen@redhat.com>

	* Makefile.am (LDADDS): Add necessary libraries to make
	it compile with -no-undefined.  (#159713, Robert Ögren)

2004-11-15  Matthias Clasen  <mclasen@redhat.com>

	* pixbuf-render.c: 
	* pixbuf-draw.c: 
	* pixbuf-rc-style.c: Remove uses of deprecated symbols. 

Thu Mar 18 10:07:15 2004  Owen Taylor  <otaylor@redhat.com>

	* pixbuf-draw.c (match_theme_image): Fix ./-> typo.
	(Federic Crozat)

Wed Mar 17 16:38:00 2004  Owen Taylor  <otaylor@redhat.com>

	* pixbuf-draw.c (match_theme_image): Fix problem with
	NULL details. (#112066, MINAMI Hirokazu, Matthias Clasen)

2003-07-15  Mark McLoughlin  <mark@skynet.ie>

	* pixbuf-render.c: make pixbuf_cache static to avoid
	possible symbol conflicts.

2003-03-02  Tor Lillqvist  <tml@iki.fi>

	* Makefile.am: Use -no-undefined on Windows.

Fri Sep  6 20:32:45 2002  Owen Taylor  <otaylor@redhat.com>

	* pixbuf-draw.c: Account for the possibility of detail == NULL
	(#89561, Hongli Lai, Luca Barbato)

Sun Apr 21 14:10:04 2002  Owen Taylor  <otaylor@redhat.com>

	* pixbuf-rc-style.c pixbuf.h pixbuf-draw.c: Add a fake STEPPER
	function that is used for drawing scrollbar steppers,
	so that themes that want to draw the button and arrow
	separately can override the default handling.

	* pixbuf-draw.c: Remove draw_polygon() since it was
	just a cut-and-paste of the default one. Remove
	some unused code.

2002-03-07  James Henstridge  <james@daa.com.au>

	* Makefile.am (libpixmap_la_LIBADD): link pixbuf engine against
	the gtk+ libraries, so that it can be used with programs that
	dlopen gtk+ without the RTLD_GLOBAL flag (such as scripting
	languages and mozilla).

Thu Feb  7 00:21:21 2002  Owen Taylor  <otaylor@redhat.com>

	* pixbuf-render.c (pixbuf_render): Add gradient
	rendering -- if the source width/height is zero,
	render a gradient from the surrounding values.

Mon Jan 28 15:34:43 2002  Owen Taylor  <otaylor@redhat.com>

	* pixbuf-render.c (compute_hint): Fix hint computation
	again.

Mon Jan 28 12:17:07 2002  Owen Taylor  <otaylor@redhat.com>

	* pixbuf-render.c (compute_hint): Fix problems in computing
	MISSING hint.

Sun Jan 27 23:58:13 2002  Owen Taylor  <otaylor@redhat.com>

	* pixbuf-render.c (compute_hint): Optimize the case
	where a component is entirely transparent by skipping
	drawing it.

	* pixbuf-rc-style.c (theme_parse_image): Catch case
	where background or overlay border/stretch are specified
	without a background image.

	* pixbuf-render.c (theme_pixbuf_destroy): Actually free
	the structure and filename.

=================== Move back into gtk-engines ====================
	
Sat Jan 19 02:45:17 2002  Owen Taylor  <otaylor@redhat.com>

	* src/pixbuf-render.c (theme_pixbuf_compute_hints): Catch
	invalid borders, and warn.

Sat Jan 19 00:32:14 2002  Owen Taylor  <otaylor@redhat.com>

	* examples/*: Add an extrodinarily ugly example.

	* src/pixbuf-draw.c (draw_simple_image): Never shape
	the window, even if we are allowed to. Shaping is
	ugly -- if the widget isn't NO_WINDOW (most are),
	you'll just have to draw it rectangular.

	* src/pixbuf-render.c (pixbuf_render): Always use
	gdk_pixbuf_render_alpha() with FULL_ALPHA() as the
	type.

	* pixbuf.h src/pixbuf-render.c (theme_pixbuf_compute_hints): To
	speed up scaling, cache whether pixbufs have constant rows
	or constant columns.

	* src/pixbuf-render.c (pixbuf_render): Speed up scaling
	by using the hints from compute_hints().

Fri Jan 18 20:49:48 2002  Owen Taylor  <otaylor@redhat.com>

	* configure.in: Use pkg-config to get the binray version
	of GTK+ that we use for an install path.

Fri Jan 18 18:14:11 2002  Owen Taylor  <otaylor@redhat.com>

	* src/pixbuf-draw.c (draw_focus): Fix for changes to draw_focus.

2001-09-21  Hans Breuer  <hans@breuer.org>

	* src/pixbuf-rc-style-c :  GtkRcStyle::parse has a GtkSettings
	parameter now. Pass it through theme_parse_file () to use it
	gtk_rc_find_pixmap_in_path ()

	* src/pixbuf-draw.c : the font field from GtkStyle is private
	now, use accessor gtk_style_get_font ()

	* makefile.msc : compile on win32, use it if you have a _real_
	fast computer or want to see gtk in slow motion :-)

Thu May  3 05:36:06 2001  Owen Taylor  <otaylor@redhat.com>

        * pixbuf.h: Fix trailing comma on enumeration. (#54071)

2001-03-05  Michael Natterer  <mitch@gimp.org>

	* src/pixbuf-draw.c: made the "parent_class" pointer static.

	(Owen, I just commented out the draw methods which don't exist any
	more to make it compile).

2001-02-20  Sven Neumann  <sven@convergence.de>

	* src/pixbuf-draw.c (draw_vline): use draw_vline method of 
	parent_class, not draw_hline

Wed Nov 15 21:56:28 2000  Owen Taylor  <otaylor@redhat.com>

	* src/pixbuf-*: A few updates for GTypePlugin.

Tue Jul 18 12:13:19 2000  Owen Taylor  <otaylor@redhat.com>

        Updates to work with GTK+-2.0 theme engine architecture.
	It won't even sort of work with GTK+-1.2 any more.

	* configure.in src/Makefile.am: Look for GTK+-2.0, 
	install engine into GTK+-2.0 location.
	
	* src/pixbuf-style.h src/pixbuf-rc-style.[ch]: New
	files for GtkRcStyle and GtkStyle subclasses. Parsing,
	etc, moves to pixbuf-rc-style.[ch]

	* src/pixbuf-draw.c: Chain up to parent implementation
	when images aren't found for a certain element.

Sun Jul  9 18:15:58 2000  Owen Taylor  <otaylor@redhat.com>

	* configure.in (ACLOCAL): Add -Wall for gcc.

	* src/pixbuf-render.c (pixbuf_render): Fix problem
	using gdk_rectangle_intersect() from GTK+-1.2.

	* src/pixbuf-render.c src/pixbuf-draw.c: Remove 
	direct access to pixbuf internals.

Mon Mar  6 11:44:58 2000  Owen Taylor  <otaylor@redhat.com>

        * docs/gap-geometry.fig: Moved into docs/ subdir
	
        * Makefile.am configure.in autogen.sh src/Makefile.am: 
	automakify
	 
	* src/pixbuf.h src/pixbuf-render.c src/pixbuf-draw.c
	src/pixbuf-main.c: Move sources into subdir and
	rename.

Mon Mar  6 11:02:07 2000  Owen Taylor  <otaylor@redhat.com>

	* pixmap_theme_pixbuf.c: Handle drawing transparency without a
	mask correctly.

	* pixmap_theme_main.c pixmap_theme_draw.c: Remove duplicate
	includes.
	
Sun Feb  6 21:34:30 2000  Owen Taylor  <otaylor@redhat.com>

	* Started ChangeLog for pixbuf engine, check sources
	into CVS.

========== ChangeLog for pixmap engine ===================

1999-11-22  Martin Baulig  <martin@home-of-linux.org>

	* pixmap_theme_main.c (theme_duplicate_style): Really copy the
	`src_data->img_list', not just the pointer that points to it.

Tue Oct  5 15:13:29 1999  Owen Taylor  <otaylor@redhat.com>

	* pixmap_theme_draw.c (apply_theme_image): Don't set
	background pixmap on pixmaps.

1999-02-14  Raja R Harinath  <harinath@cs.umn.edu>

	* Theme/gtk/Makefile.am.in (Makefile.am): Handle the case when
	files are deleted.

Thu Feb 11 21:16:53 1999  Owen Taylor  <otaylor@redhat.com>

	* pixmap_theme_main.c (theme_data_unref): Free the
	theme data structure as well as the contents.

1999-02-03  Raja R Harinath  <harinath@cs.umn.edu>

	* Theme/gtk/Makefile.am.in: New file.  Theme/gtk/Makefile.am is
	generated from this file when new *.png files are added.

1999-01-23  Miguel de Icaza  <miguel@nuclecu.unam.mx>

	* pixmap_theme_main.c (theme_init): Turn on pixmap cache. 

Mon Jan 18 13:37:23 1999  Owen Taylor  <otaylor@redhat.com>

	* Theme/gtk/gtkrc: Give buttons a gray background
	color so they look a little less funny when initially
	drawing.

Wed Jan 13 18:58:25 1999  Owen Taylor  <otaylor@redhat.com>

	* pixmap_theme_draw.c: Fixed pervasive mis-bracketing
	that was causing drawing if the drawn region and
	clipping region did NOT intersect, and a couple
	of errors in computing source and destination 
	regions.

1998-11-09  Federico Mena Quintero  <federico@nuclecu.unam.mx>

	* pixmap_theme_draw.c: #include <math.h>

1998-11-07  Raja R Harinath  <harinath@cs.umn.edu>

	* Theme/gtk/Makefile.am (theme_DATA): 
	Update to new directory contents.
	* configure.in: Remove.

Fri Nov  6 17:26:12 1998  Owen Taylor  <otaylor@redhat.com>

	* pixmap_theme_main.c: Removed some debugging 
	printf's. 

	* Theme/gtk/notebook1.c Theme/gtk/menubar.png: new
	bigger pixmaps to reduce pixelation.

	* Theme/gtk/gtkrc: Reorganized to use several styles
	instead of one huge style. Change clist backgrounds
	to be prettier.

Thu Nov  5 10:23:46 1998  Owen Taylor  <otaylor@redhat.com>

	* pixmap_theme_draw.c (draw_shadow_gap): Fixed hard-coded
	gap_side of '0'.

Mon Nov  2 14:46:02 1998  Owen Taylor  <otaylor@redhat.com>

	* pixmap_theme_draw.c (apply_theme_image_shadow_gap): Removed
	several hundred lines of duplicated code with a bit of
	reoriganization.

Wed Oct 28 16:18:04 1998  Owen Taylor  <otaylor@redhat.com>

	* pixmap_theme_main.c (theme_symbols): Removed lots
	and lots of white space.

